Name: ejabberd-jit
Version: 1.1.7
Release: alt0.M30.2

Summary: Jabber ICQ Transport
Group: System/Servers
License: GPL
URL: http://jit.jabberstudio.org/

Packager: Alexey Borovskoy <alb@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: %name.xml
Source2: %name.logrotate
Source3: %name.init

# /registered resource id that JIT tends to add to its JID
# confuses the hell out of Psi and other clients
Patch1: jabber-jit-1.1.2-resource.patch

# Don't send s10n auth request to ICQ when a Jabber user
# has authorized subscription from the ICQ user
Patch2: jabber-jit-1.1.5-subscribed.patch

# Clean up vCard DESC to be as the user meant it to. Hide IPs.
Patch3: jabber-jit-1.1.5-clean-desc.patch

# Don't append date to logfile names
Patch4: jabber-jit-1.1.5-no-thanks-we-have-logrotate.patch

# Bring code to the C++ standard in order to compile on g++ 3.3
Patch5: jabber-jit-1.1.6-g++3.3.patch

# Get rid of the "origfrom" attribute hack which is useless
# for the current server, as well as from "name" attribute
# in s10n
Patch6: jabber-jit-1.1.6-unhack-attr.patch

Patch7: %name-1.1.7-search.patch

BuildPreReq: gcc-c++

Requires: ejabberd

%description
Jabber ICQ Transport is a Jabber component which provides interoperability
between ICQ and Jabber IM systems. JIT is based on a special fast jabberd
core with pthreads.

%prep
%setup -q

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
#%patch5 -p1
#%patch6 -p1
%patch7 -p1

%build
%configure

%__subst '/^COMMON_CFLAGS/ s|-I%_includedir ||' platform-settings
%__subst 's|^OUT_FILE=.*|OUT_FILE=ejabberd-jit|' platform-settings
%__subst '/^COMMON_CFLAGS/ s|-g ||' platform-settings
%__subst '/^CONFIG_FILE/ s|jabber.xml|ejabberd-jit.xml|' platform-settings

%make_build

%install
%__mkdir_p %buildroot%_sbindir
%__mkdir_p %buildroot%_libdir/%name
%__mkdir_p %buildroot%_sysconfdir/ejabberd
%__mkdir_p %buildroot%_spooldir/%name
%__mkdir_p %buildroot%_initdir
%__mkdir_p %buildroot%_docdir/%name-%version
%__mkdir_p %buildroot%_sysconfdir/logrotate.d

%__install jabberd/ejabberd-jit %buildroot%_sbindir
%__install jit/jit.so %buildroot%_libdir/%name
%__install xdb_file/xdb_file.so %buildroot%_libdir/%name

%__install {README,AUTHORS} %buildroot%_docdir/%name-%version
%__install -m644 LICENSE %buildroot%_docdir/%name-%version
%__install doc/FAQ %buildroot%_docdir/%name-%version
%__install jit/{INSTALL,*.example} %buildroot%_docdir/%name-%version
%__install -m644 jit/ChangeLog %buildroot%_docdir/%name-%version

%__install -m640 %SOURCE1 %buildroot%_sysconfdir/ejabberd
%__install -m644 %SOURCE2 %buildroot%_sysconfdir/logrotate.d/%name
%__install -m755 %SOURCE3 %buildroot%_initdir/%name

%post
%post_ldconfig
%post_service %name

%postun
%postun_ldconfig

%preun
%preun_service %name

%files
%_sbindir/ejabberd-jit
%_libdir/%name
%config(noreplace) %attr(0640,root,ejabberd) %_sysconfdir/ejabberd/%name.xml
%dir %attr(0700,ejabberd,ejabberd) %_spooldir/%name
%_initdir/%name
%_docdir/%name-%version
%_sysconfdir/logrotate.d/%name

%changelog
* Fri Dec 01 2006 Alexey Borovskoy <alb@altlinux.ru> 1.1.7-alt0.M30.2
- Add patch for broken search support.

* Thu Nov 30 2006 Alexey Borovskoy <alb@altlinux.ru> 1.1.7-alt0.M30.1
- Backport to Compact 3.0.4.

* Mon Nov 27 2006 Alexey Borovskoy <alb@altlinux.ru> 1.1.7-alt0.M24.1
- Initial version.
- Import patches from jabber-jit.
